CompositeInterceptor (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.filters
[Java] Class CompositeInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.filters.CompositeInterceptor

All Implemented Interfaces:
  org.springframework.web.servlet.HandlerInterceptor

    public class CompositeInterceptor
    extends java.lang.Object

Composed of other HandlerInterceptor instances.

Authors:
  mike
  Graeme Rocher

Field Summary
`protected java.util.List` | `handlers`
`protected java.util.List` | `handlersReversed`
`protected org.slf4j.Logger` | `log`

Method Summary
`void` | `addHandler(org.springframework.web.servlet.HandlerInterceptor handler)`
`void` | `afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, java.lang.Exception e)`
`protected void` | `initReversed()`
`void` | `postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, org.springframework.web.servlet.ModelAndView modelAndView)`
`boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o)`
`void` | `setHandlers(java.util.List handlers)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### handlers

    protected java.util.List handlers

### handlersReversed

    protected java.util.List handlersReversed

### log

    protected final org.slf4j.Logger log

Method Detail

### addHandler

    public void addHandler(org.springframework.web.servlet.HandlerInterceptor handler)

### afterCompletion

    public void afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, java.lang.Exception e)

### initReversed

    protected void initReversed()

### postHandle

    public void postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, org.springframework.web.servlet.ModelAndView modelAndView)

### preHandle

    public boolean preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o)

### setHandlers

    public void setHandlers(java.util.List handlers)

Groovy Documentation